Bug 455050 - Review Request: padauk-fonts - Padauk font for Burmese and the Myanmar script
Summary: Review Request: padauk-fonts - Padauk font for Burmese and the Myanmar script
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Minto Joseph
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-11 17:35 UTC by Minto Joseph
Modified: 2013-11-18 01:47 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-10-03 06:31:33 UTC
Type: ---
nicolas.mailhot: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Minto Joseph 2008-07-11 17:35:16 UTC
Spec URL: http://sundaram.fedorapeople.org/packages/padauk-fonts.spec
SRPM URL: http://sundaram.fedorapeople.org/packages/padauk-fonts-20080617-1.fc8.src.rpm

Description: Padauk is a smart font capable of rendering Burmese and the Myanmar script.

See also http://fedoraproject.org/wiki/SIL_Padauk_fonts

Comment 1 Minto Joseph 2008-07-11 17:37:08 UTC
This is my first package and I am looking for a sponsor. 

Comment 2 Nicolas Mailhot 2008-07-11 18:32:26 UTC
Formal review:

NOK  | MUST: rpmlint must be run on every package…
rpmlint *rpm
padauk-fonts.noarch: W: no-documentation
padauk-fonts.noarch: W: summary-ended-with-dot Padauk font for Burmese and the
Myanmar script.
padauk-fonts.src: W: summary-ended-with-dot Padauk font for Burmese and the
Myanmar script.
2 packages and 0 specfiles checked; 0 errors, 3 warnings.

Please fix the warnings. You've missed the README and all the .txt files as doc

OK  | MUST: The package must be named according to the Package…
Well probably rename it to sil-padauk-fonts in a few weeks/months but the new
naming conventions are still in discussion so your naming is all right

OK  | MUST: The spec file name must match the base package…
OK  | MUST: The package must meet the Packaging Guidelines…
OK  | MUST: The package must be licensed with a Fedora approved…
OK  | MUST: The License field in the package spec file must…

NOK | MUST: If (and only if) the source package includes the…
You didn't package the detached license file upstream kindly provided

-   | MUST: The spec file must be written in American English.
It would be nice to have a little more meat in the description.

OK  | MUST: The spec file for the package MUST be legible.

-   | MUST: The sources used to build the package must match… 
Didn't check the srpm.  the spec works fine with the upstream tar.gz

OK  | MUST: The package must successfully compile and build…
N/A | MUST: If the package does not successfully compile, build 
OK  | MUST: All build dependencies must be listed…
N/A | MUST: The spec file MUST handle locales properly…
N/A | MUST: Every binary RPM package which stores shared…
N/A | MUST: If the package is designed to be relocatable…
OK  | MUST: A package must own all directories that it creates
OK  | MUST: A package must not contain any duplicate files 
OK  | MUST: Permissions on files must be set properly. 
OK  | MUST: Each package must have a %clean section
OK  | MUST: Each package must consistently use macros
OK  | MUST: The package must contain code, or permissable 
N/A | MUST: Large documentation files should go in a -doc 
N/A | MUST: If a package includes something as %doc…
N/A | MUST: Header files must be in a -devel package.
N/A | MUST: Static libraries must be in a -static package.
N/A | MUST: Packages containing pkgconfig(.pc) files must…
N/A | MUST: If a package contains library files with a suffix…
N/A | MUST: In the vast majority of cases, devel packages must…
N/A | MUST: Packages must NOT contain any .la libtool archives, 
N/A | MUST: Packages containing GUI applications must include…
OK  | MUST: Packages must not own files or directories already
OK  | MUST: At the beginning of %install, each package MUST…
OK  | MUST: All filenames in rpm packages must be valid UTF-8.
N/A | SHOULD: If the source package does not include license 
-   | SHOULD: The description and summary section … translations…
OK  | SHOULD: The package builds in mock
-   | SHOULD: The package builds on all supported architectures
OK  | SHOULD: The reviewer should test that the package…
OK  | SHOULD: If scriptlets are used, those scriptlets must be sane…
N/A | SHOULD: Subpackages other than devel should usually require base…
N/A | SHOULD: The placement of pkgconfig(.pc) files depends on…
N/A | SHOULD: If the package has file dependencies outside of shortlist…

Comment 3 Nicolas Mailhot 2008-07-11 18:39:07 UTC
Moreover, please:

1. use the upstream versionning, not a date (SIL is actually numbering its fonts
sanely, no need to workaround)

2. add a fontconfig file so the system knows it's a sans-serif font
(see http://fedoraproject.org/wiki/Fontconfig_packaging_tips)

3. update the wiki page with the review reference as requested in:
http://fedoraproject.org/wiki/Font_package_lifecycle#2.a

Comment 5 Nicolas Mailhot 2008-07-15 11:40:18 UTC
This is starting to look good!
Some suggested changes:

--- padauk-fonts.spec	2008-07-14 22:01:31.000000000 +0200
+++ padauk-fonts-nim.spec	2008-07-15 13:24:52.000000000 +0200
@@ -4,11 +4,10 @@
 
 %define archivename ttf-sil-padauk-2.4
 
-
 Name:    %{fontname}-fonts
-Version: 2.4 
+Version: 2.4
 Release: 1%{?dist}
-Summary: Padauk font for Burmese and the Myanmar script 
+Summary: Padauk font for Burmese and the Myanmar script
 
 Group:   User Interface/X
 License: OFL
@@ -21,13 +20,22 @@
 BuildArch: noarch
 
 %description
-Padauk is a Myanmar font covering all currently used characters 
-in the Myanmar block.The font aims to cover all minority language needs. 
-At the moment, these do not extend to stylistic variation needs. 
+Padauk is a Myanmar font covering all currently used characters
+in the Myanmar block.The font aims to cover all minority language needs.
+At the moment, these do not extend to stylistic variation needs.
 The font is a smart font using a Graphite description.
 
+
 %prep
-%setup -q -n font-source 
+%setup -q -c
+for txt in doc/*.txt ; do
+   fold -s $txt > $txt.new
+   sed -i 's/\r//' $txt.new
+   touch -r $txt $txt.new
+   mv $txt.new $txt
+done
+
+
 %build
 # Nothing there
 
@@ -36,11 +44,10 @@
 rm -fr %{buildroot}
 
 install -m 0755 -d %{buildroot}%{fontdir}
-install -m 0644 -p *.ttf %{buildroot}%{fontdir}
-install -m 0755 -d %{buildroot}%{fontconfdir}
-install -m 0644 -p %{SOURCE1} %{buildroot}%{fontconfdir}/61-%{fontname}.conf
-
+install -m 0644 -p font-source/*.ttf %{buildroot}%{fontdir}
 
+install -m 0755 -d %{buildroot}%{fontconfdir}
+install -m 0644 -p %{SOURCE1} %{buildroot}%{fontconfdir}/65-%{fontname}.conf
 
 
 %clean
@@ -61,17 +68,19 @@
 
 %files
 %defattr(0644,root,root,0755)
+%doc doc/*.txt
+
+%config(noreplace) %{fontconfdir}/65-%{fontname}.conf
+
 %dir %{fontdir}/
 %{fontdir}/*.ttf
 
-%config(noreplace) %{fontconfdir}/61-%{fontname}.conf
 
-%doc ../doc/*.txt
 %changelog
 * Fri Jul 15 2008 Minto Joseph <mvaliyav at redhat.com> - 2.4-1
 - Changed versioning
-- Added configuration file, 
-- Added more description 
+- Added configuration file,
+- Added more description
 - Added license file
 
 * Fri Jul 11 2008 Minto Joseph <mvaliyav at redhat.com> - 20080617-1

Comment 6 Nicolas Mailhot 2008-07-15 11:48:27 UTC
1. Upstream unfortunately created an archive with no top-dir. While your
solution will sort-of work people (davej) are going to complain you leave stray
files on the hard drive after a build. When upstream forgets the top-dir in an
archive, use the -c %setup option

2. .txt munging to avoid rpmlint complaining of DOS end-of-files (with a fold
added in as a bonus, notice how we try to preserve the orginal timestamp so it's
build-invariant)

3. use 65 not 61 as fontconfig prefix. As noted on
http://fedoraproject.org/wiki/Fontconfig_packaging_tips#Simple_priority_lists
55-64 space is reserved for fonts with common LGC scripts (and myanmar isn't)

4. minor cosmetic whitespace changes (while I was at it)

5. Lastly, please use Padauk not padauk in your fontconfig rules. As you can
check in nautilus (or another tool) the fonts declare their name with a leading
capital


Comment 7 Minto Joseph 2008-07-15 16:44:45 UTC
Thank you for the comments. I have made the changes. Please review.. 

Source RPM:
http://mintojoseph.fedorapeople.org/packages/padauk-fonts-2.4-2.fc8.src.rpm

Spec File: http://mintojoseph.fedorapeople.org/packages/padauk-fonts.spec

Comment 8 Nicolas Mailhot 2008-07-15 18:20:44 UTC
Since you've done all the requested changes (and I know I can be a difficult
reviewer) I'm going to approve the package and sponsor you. Please don't show me
wrong and continue to take good care of this package.

Your remainning packaging steps are outlined there
http://fedoraproject.org/wiki/Font_package_lifecycle#3.a
don't forget to do them all including the comps and wiki part.

The i18n group will probably want to discuss with you the priority given to this
package in comps.

I hope you'll be interested in packaging more fonts for Fedora in the future.

APPROVED

Comment 9 Minto Joseph 2008-07-15 18:34:01 UTC
New Package CVS Request
=======================
Package Name: padauk-fonts
Short Description: Padauk font for Burmese and the Myanmar script
Owners: mintojoseph
Branches: F-8 F-9
InitialCC: fonts-sig
Cvsextras Commits: yes


Comment 10 Kevin Fenzi 2008-07-15 22:10:18 UTC
cvs done.

Comment 11 Tony Fu 2008-09-10 03:07:09 UTC
requested by Jens Petersen (#27995)


Note You need to log in before you can comment on or make changes to this bug.